<?php

namespace kernel\app_modules\card\controllers;

use kernel\app_modules\card\models\Card;
use kernel\RestController;

class CardRestController extends RestController
{

    public function __construct()
    {
        $this->model = new Card();
    }

    protected function expand(): array
    {
        return ["cardFile"];
    }

    protected function filters(): array
    {
        return ['pin', 'user_id', 'payment_type', 'bank_id', 'info', 'program', 'username', 'status'];
    }
}